Thank you Skindiacus for reverting back. I have resolved the issue by choosing the compatibility mode with a little help from this post.